org.apache.cassandra.cql3

## Class Lists.Value

- java.lang.Object
- - org.apache.cassandra.cql3.Term.Terminal
  - - org.apache.cassandra.cql3.Term.MultiItemTerminal
    - - org.apache.cassandra.cql3.Lists.Value

All Implemented Interfaces:
  Term

Enclosing class:
  Lists

    public static class Lists.Value
    extends Term.MultiItemTerminal

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.Term

`Term.MultiColumnRaw, Term.MultiItemTerminal, Term.NonTerminal, Term.Raw, Term.Terminal`

### Field Summary

Fields
`java.util.List<java.nio.ByteBuffer>` `elements`

### Constructor Summary

Constructors
Constructor and Description
`Value(java.util.List<java.nio.ByteBuffer> elements)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(ListType lt, Lists.Value v)`
`static Lists.Value` `fromSerialized(java.nio.ByteBuffer value, ListType type, ProtocolVersion version)`
`java.nio.ByteBuffer` `get(ProtocolVersion protocolVersion)`
`java.util.List<java.nio.ByteBuffer>` `getElements()`

### Methods inherited from class org.apache.cassandra.cql3.Term.Terminal

`addFunctionsTo, bind, bindAndGet, collectMarkerSpecification, containsBindMarker`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### elements

    public final java.util.List<java.nio.ByteBuffer> elements

### Constructor Detail

#### Value

    public Value(java.util.List<java.nio.ByteBuffer> elements)

### Method Detail

#### fromSerialized

    public static Lists.Value fromSerialized(java.nio.ByteBuffer value,
                                             ListType type,
                                             ProtocolVersion version)
                                      throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### get

    public java.nio.ByteBuffer get(ProtocolVersion protocolVersion)

Specified by:
  `get` in class `Term.Terminal`
Returns:
  the serialized value of this terminal.

#### equals

    public boolean equals(ListType lt,
                          Lists.Value v)

#### getElements

    public java.util.List<java.nio.ByteBuffer> getElements()

Specified by:
  `getElements` in class `Term.MultiItemTerminal`